# $Id: smeserver-learn.spec,v 1.4 2021/02/23 19:39:09 jpp Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse.
%define name smeserver-learn
%define version 1.0
%define release 18

Summary: SME Server Mails Learning script
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz

Packager: JP Pialasse <tests@pialasse.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: perl-Email-Simple
BuildRequires: smeserver-devtools >= 1.13.1-03

%description
Scripts which allows users to interact with spamassassin rules simply
by droping mail in special folders of their mailbox (working only with imap)
- Learn mail as spam
- Learn mail as ham
- Whitelist the sender so his mails won't be taged as spam again

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.0-18.sme
- Fix e-smith references in smeserver-learn [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.0-17.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Tue Feb 23 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-16.sme
- make use of systemd [SME: 11281]
- create an update event to configure the contrib without reboot [SME: 11281]
- untag ham to avoid client to move them back to spamdir [SME: 10732]
- move existing spamdir before creating link to replace them [SME: 9524]

* Thu Dec 31 2020 Brian Read <brianr@bjsystems.co.uk> 1.0-15.sme
- Remove-deprecated-defined [SME: 11281]

* Sun Dec 20 2020 Brian Read <brianr@bjsystems.co.uk> 1.0-14.sme
- Initial Import in SME 10 [SME: 11281]

* Fri Jul 29 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-13.sme
- fix permission problem on bayes_tok [SME: 9446]

* Sat May 14 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-12.sme
- fix verbose disabled unlink /dev/null [SME: 9512]

* Tue Mar 29 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-11.sme
- first import in SME9  [SME: 9414]

* Wed Mar 16 2016 JP Pialasse <tests@pialasse.com> 1.0-10.sme
- fix encoding problem when removing or adding tags [SME: 9282]
- fix moving file not working MOVE patch [SME: 9314]
- NFR: setting for verbose (enabled,disabled, active) VERBOSE patch [SME: 9313]

* Tue Mar 15 2016 JP Pialasse <tests@pialasse.com> 1.0-8.sme
- NFR: check admin Maildir [SME: 9279]
- NFR: restrict utilization to some users [SME: 9280]

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.0-7.sme
- fix find not restrictive enough when learning also new [SME: 6862]
 
* Tue Mar 08 2016 JP Pialasse <tests@pialasse.com> 1.0-6.sme 
- new version SME8 and SME9
- fix wrong default db key DeleteAfterLearn [SME: 7083]
- added inspection of temp and new subdir [SME: 6862]
- moved default db keys as file outside of spec
- new db properties: (LearnAsHam,LearnInWL)RemoveSPAMTag, (*)LeanNew,(*)Uniq,(LearnAsSpam)SpamLinks
- new account db property for user: SpamLinks 
- import to buildsys [SME: 4423]
- use sa-learn per dir and not per message [SME: 1701]
- merge enhancements [SME: 4423] [SME: 1701]
- NFR: create links
- NFR: filter out SPAM tag from HAM and InWL mails
- NFR: added auto create folders if multiple folder disabled
- NFR: create db key for multiple folder to inspect
- enhanced move to junkmail or inbox
- moving job from crontab to /etc/cron.d/Learn
- fixed typo in event email-update (r3)
- fixed wrong file permission on /etc/cron.d/Lean [SME: 9283] (r4)
- fixed messy output [SME: 9284] (r5)
- fixed replaced cron file on update [SME: 9286](r6)

* Wed Jun 25 2008 Emmmanuel JOORIS <joorise@dot-world.net> 0.0.1-3
- add dependencies to spec file

* Mon Jun 23 2008 Daniel B. <daniel@firewall-services.com> 0.0.1-2
- add spaces after the tags

* Wed Jun 18 2008 Daniel B. <daniel@firewall-services.com> 0.0.1-1
- full path for Learn script in crontab templates
- rename to smeserver-learn
- Fix default tag for Ham mail to [HAM]
- Lean.pl will be executed daily by default

* Wed Jun 11 2008 Emmanuel JOORIS <joorise@dot-world.net>
- 0.0.1-0
- Original version

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT |\
sed -e "s@^$RPM_BUILD_ROOT@@g" \
-e "s@^%attr(0644,root,root) /etc/cron.d/Learn@%attr(0644,root,root)%config(noreplace) /etc/cron.d/Learn@"\
> %{name}-%{version}-filelist

%clean
#rm -rf $RPM_BUILD_ROOT

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

